Bug 225710 - [heapwalker] Display logical values of instances where feasible
[heapwalker] Display logical values of instances where feasible
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
7.3
All All
: P2 (vote)
: 7.4
Assigned To: Jiri Sedlacek
issues@profiler
: PLAN, VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-04 15:43 UTC by Jiri Sedlacek
Modified: 2013-04-29 09:18 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Sedlacek 2013-02-04 15:43:20 UTC
Displaying logical value of an instance like String, URL, File etc. would significantly improve usability of the HeapWalker.
Comment 1 Jiri Sedlacek 2013-02-04 15:51:53 UTC
Initial implementation in http://hg.netbeans.org/profiler-main/rev/b6263e46174f.
Comment 2 Quality Engineering 2013-02-14 02:19:44 UTC
Integrated into 'main-golden', will be available in build *201302132300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/b6263e46174f
User: Jiri Sedlacek <jis@netbeans.org>
Log: Initial implementation of #225710 - logical values of instances displayed in Instances and OQL views
Comment 3 Jiri Sedlacek 2013-02-15 12:31:31 UTC
V2: http://hg.netbeans.org/profiler-main/rev/c6447e966ec1
Comment 4 Quality Engineering 2013-02-19 01:51:08 UTC
Integrated into 'main-golden', will be available in build *201302182300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/c6447e966ec1
User: Jiri Sedlacek <jis@netbeans.org>
Log: Implementation of #225710 - v2
Comment 5 Tomas Hurka 2013-04-29 09:18:31 UTC
Done for 7.4.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo